Lone Wolf Development Forums

Lone Wolf Development Forums (http://forums.wolflair.com/index.php)
-   HL - Savage Worlds (http://forums.wolflair.com/forumdisplay.php?f=59)
-   -   PoSM and Hell on Earth seem to have broken my HeroLab (http://forums.wolflair.com/showthread.php?t=54288)

Gumbytie November 17th, 2015 05:35 PM

PoSM and Hell on Earth seem to have broken my HeroLab
 
Excitedly purchased the SciFi Companion (coolio) and fired up my HeroLab and saw there were some updates. Ran them all but the updates for:

Pirates of the Spanish Main
and
Hell on Earth

Don't seem to load properly. They just keep getting marked as having an update available. Now, because they won't u[date, they don't load properly so now NO user files (including my own will load).

Any helpful ideas?

I even deleted the files in HeroLab > data > savage but doesn't seem to help. Nor restarting HeroLab. I am stuck.

Gumbytie November 17th, 2015 05:51 PM

Okay, apparently the Savage Worlds update broke me
 
I guess the latest SW Core update (or maybe because of SciFi companion needs) has some changes in timing of things. Because the errors are occuring in my files that previously worked.

https://www.dropbox.com/s/p7hd99hbcn...error.jpg?dl=0

So looks like I have a lot of work ahead of me. Sigh.

Gumbytie November 17th, 2015 06:00 PM

Okay, so I don't want to get heavily into this tonight but I am already confused. Looking at the first error on the list in above pic, this is the Edge in question. Not sure what would be wrong with it:

<thing
id="edgCapPlan"
name="Captain, Plane"
description="Owns a marginally functional aircraft."
compset="Edge"
uniqueness="unique">
<usesource source="RagHome"/>
<tag group="MinRank" tag="0"/>
<tag group="EdgeType" tag="Background"/>
<bootstrap thing="vhDACatal"></bootstrap>
<exprreq message="Piloting d8 required"><![CDATA[#traitfound[skPiloting] >= 4]]></exprreq>
</thing>

I am just doing a normal bootstrap to an Edge, has that changed?

SeeleyOne November 17th, 2015 06:26 PM

It changed how you bootstrap vehicles and weapons. To be honest, in some cases it is better to add it as an "auto add" instead, especially for weapons or vehicles that can be sold or lost. I have not played around with the new changes yet, though.

CapedCrusader November 17th, 2015 10:01 PM

We're working on getting the Setting files synched up. It has to do with a change in those Edges that bootstrap Weapons. With what we had to do to get the Sci-Fi Companion to work, those Edges create a loop. We had to change the component type on those few to EdgeWep.

CapedCrusader November 17th, 2015 10:05 PM

If you don't want to wait, PM me...

Zaphod Beebledoc November 18th, 2015 08:52 AM

Quote:

Originally Posted by Gumbytie (Post 219309)
... the errors are occuring in my files that previously worked.

https://www.dropbox.com/s/p7hd99hbcn...error.jpg?dl=0...

Quote:

Originally Posted by CapedCrusader (Post 219334)
We're working on getting the Setting files synched up.

I've got a similar list of errors, also none of my user files will load. As you're working on the files, I'm content to wait. :)

zarlor November 18th, 2015 10:43 AM

Try the Savage Settings updates now. If they still don't seem to clear things up (assuming the error still comes from my files, like HoER, PoTSM, DLN or 50F) please let me know right away.

Zaphod Beebledoc November 18th, 2015 01:52 PM

Initially, I clicked on the exclamation mark next to Savage Worlds, and got the list of all the settings.

After updating to get the Sci-fi companion, there were 4 settings that showed updates, HoER, PoTSM, DLN or 50F. (Everything else was marked as "Get".)

I selected the four, one-by-one, and updated them, then loaded into Hero Lab. When I clicked on Load, a dialogue came up asking if I wanted to download DLN. I clicked no. I got the list of error messages like Gumbytie.

Closed HL, re-opened and this time went into it and clicked on view updates at the extreme right hand side of the screen. Managed to update HoER and PoTSM, but DLN and 50F did not update, and still get the message asking if I want to update DLN when I try to enter HL. Still get an error list, though it is reduced.

I'm posting all this in case it helps you and also if I've missed something... :)

zarlor November 18th, 2015 02:08 PM

Well, it might help me figure out what's wrong with those since I thought I had them updated... I take it you did the updates for them this afternoon, correct?


All times are GMT -8. The time now is 10:27 AM.

Powered by vBulletin® - Copyright ©2000 - 2019, vBulletin Solutions, Inc.
wolflair.com copyright 1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.